# frozen_string_literal: true

require 'spec_helper'

require_migration!

RSpec.describe ScheduleSetCorrectVulnerabilityState do
  let_it_be(:migration) { described_class::MIGRATION_NAME }

  describe '#up' do
    it 'schedules background jobs for each batch of vulnerabilities' do
      migrate!

      expect(migration).to have_scheduled_batched_migration(
        table_name: :vulnerabilities,
        column_name: :id,
        interval: described_class::JOB_INTERVAL,
        batch_size: described_class::MAX_BATCH_SIZE,
        batch_class_name: described_class::BATCH_CLASS_NAME,
        sub_batch_size: described_class::SUB_BATCH_SIZE
      )
    end
  end

  describe '#down' do
    it 'deletes all batched migration records' do
      migrate!
      schema_migrate_down!

      expect(migration).not_to have_scheduled_batched_migration
    end
  end
end
